Bug 148751 - NetworkManager takes too long to get address via DHCP
Summary: NetworkManager takes too long to get address via DHCP
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-15 08:15 UTC by David Baron
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-16 20:13:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
excerpt from /var/log/messages showing 16 seconds to get DHCP address for eth1 (7.28 KB, text/plain; charset=utf-8)
2005-02-15 08:17 UTC, David Baron
no flags Details

Description David Baron 2005-02-15 08:15:46 UTC
Description of problem:  NetworkManager takes much longer to get an
address from DHCP than ifup does.  On my wireless card, ifup varies
between 2.9 and 7.1 seconds (over 10 tries).  NetworkManager usually
takes 16-17 seconds (3 tries).

Version-Release number of selected component (if applicable):
NetworkManager-0.3.3-1.cvs20050119.2.fc3

How reproducible:  every time

Steps to Reproduce:  On my laptop with version 1.0.0 of the ipw2200
driver from ipw2200.sourceforge.net (ok, you can't do this part quite
this way), try "time ifup eth1" and observe how long it takes (DHCP is
complete before it finishes).  Then bring eth1 down and try "service
NetworkManager start" and look at how long the NetworkManager icon
spins (which agreees with the messages in the syslog and the amount of
time before I can resolve hostnames).

Additional info:
I'll attach a syslog excerpt that shows all the messages logged over
this time interval.

Comment 1 David Baron 2005-02-15 08:17:59 UTC
Created attachment 111077 [details]
excerpt from /var/log/messages showing 16 seconds to get DHCP address for eth1

Comment 2 Dan Williams 2005-05-16 20:13:55 UTC
So the whole connect process takes about 25 seconds?  This is somewhat fixed in
later builds of NetworkManager (latencies have been reduced) and is more fixed
in CVS HEAD.  Some of the issues are the cards themselves and the difficulty of
figuring out if you really are connected to the access point or not.

The actual DHCP transaction took only 2 seconds (it starts with the
dhcp_interface_init line at :54).  From :38 -> :54, the card is being set with
the correct wireless settings.  Some cards, like Prism54, reboot themselves
after setting the ESSID and you have to wait.  You also have to wait for a valid
connection to the access point.


Note You need to log in before you can comment on or make changes to this bug.